GDB (xrefs)

Functions
tui-windata.h File Reference
`#include "tui/tui-data.h"`

Go to the source code of this file.

## Functions
void | tui_erase_data_content (const char *)
void | tui_display_all_data (void)
void | tui_check_data_values (struct frame_info *)
void | tui_display_data_from_line (int)
int | tui_first_data_item_displayed (void)
int | tui_first_data_element_no_in_line (int)
void | tui_delete_data_content_windows (void)
void | tui_refresh_data_win (void)
void | tui_display_data_from (int, int)
void | tui_vertical_data_scroll (enum tui_scroll_direction, int)

## Function Documentation

## ◆ tui_check_data_values()

void tui_check_data_values | ( | struct frame_info * |  | ) |

Definition at line 230 of file tui-windata.c.

References tui_gen_win_info::content, tui_check_register_values(), and TUI_DATA_WIN.

Referenced by tui_refresh_frame_and_register_information(), and tui_register_changed().

## ◆ tui_delete_data_content_windows()

void tui_delete_data_content_windows | ( | void |  | ) |

Definition at line 87 of file tui-windata.c.

References tui_gen_win_info::handle, tui_gen_win_info::is_visible, TUI_DATA_WIN, and tui_delete_win().

Referenced by tui_display_all_data(), tui_display_data_from(), and tui_vertical_data_scroll().

## ◆ tui_display_all_data()

void tui_display_all_data | ( | void |  | ) |

Definition at line 129 of file tui-windata.c.

References NO_DATA_STRING, tui_check_and_display_highlight_if_needed(), TUI_DATA_WIN, tui_delete_data_content_windows(), tui_display_registers_from(), and tui_erase_data_content().

Referenced by make_visible_with_new_height(), tui_set_layout(), and tui_show_registers().

## ◆ tui_display_data_from()

void tui_display_data_from | ( | int | ,
|  | int |
| ) |  |

Definition at line 192 of file tui-windata.c.

References tui_delete_data_content_windows(), tui_display_data_from_line(), tui_erase_data_content(), and tui_line_from_reg_element_no().

Referenced by tui_refresh_data_win().

## ◆ tui_display_data_from_line()

void tui_display_data_from_line | ( | int |  | ) |

Definition at line 153 of file tui-windata.c.

References tui_check_and_display_highlight_if_needed(), TUI_DATA_WIN, tui_display_registers_from_line(), and tui_last_regs_line_no().

Referenced by tui_display_data_from(), and tui_vertical_data_scroll().

## ◆ tui_erase_data_content()

void tui_erase_data_content | ( | const char * |  | ) |

Definition at line 104 of file tui-windata.c.

References tui_check_and_display_highlight_if_needed(), and TUI_DATA_WIN.

Referenced by tui_display_all_data(), tui_display_data_from(), tui_refresh_data_win(), tui_show_registers(), and tui_vertical_data_scroll().

## ◆ tui_first_data_element_no_in_line()

int tui_first_data_element_no_in_line | ( | int |  | ) |

Definition at line 70 of file tui-windata.c.

References tui_first_reg_element_no_inline().

## ◆ tui_first_data_item_displayed()

int tui_first_data_item_displayed | ( | void |  | ) |

Definition at line 45 of file tui-windata.c.

References tui_gen_win_info::handle, tui_gen_win_info::is_visible, and TUI_DATA_WIN.

Referenced by tui_refresh_data_win(), and tui_vertical_data_scroll().

## ◆ tui_refresh_data_win()

void tui_refresh_data_win | ( | void |  | ) |

Definition at line 214 of file tui-windata.c.

References TUI_DATA_WIN, tui_display_data_from(), tui_erase_data_content(), and tui_first_data_item_displayed().

Referenced by tui_refresh_all_win(), tui_rl_other_window(), and tui_set_focus().

## ◆ tui_vertical_data_scroll()

void tui_vertical_data_scroll | ( | enum | tui_scroll_direction,
|  | int |
| ) |  |

Definition at line 266 of file tui-windata.c.

References FORWARD_SCROLL, TUI_DATA_WIN, tui_delete_data_content_windows(), tui_display_data_from_line(), tui_erase_data_content(), tui_first_data_item_displayed(), and tui_line_from_reg_element_no().

Referenced by tui_scroll_backward(), and tui_scroll_forward().